#ifndef COMPLEXITY_RLS_H_INCLUDED
#define COMPLEXITY_RLS_H_INCLUDED

#include <sstream>
#include <string>
#include <fstream>

#include "heuristics/RLS.h"
#include "analysis/analysis.h"

void study_complexity_of_rls(std::default_random_engine& randomizer, int option, int argc, char** argv);
void study_complexity_of_rls_sample(std::default_random_engine& randomizer, std::string filename, int n_initial, int n_final, int n_step, bool displaying=true);

#endif // COMPLEXITY_RLS_H_INCLUDED
