#ifndef COMPLEXITY_GA_H_INCLUDED
#define COMPLEXITY_GA_H_INCLUDED

#include <string>
#include <fstream>
#include <sstream>

#include "heuristics/GA.h"
#include "analysis/analysis.h"
#include "experiences/crossover-rate.h"

void study_complexity_of_ga(std::default_random_engine& randomizer, int option, int argc, char** argv);
void study_complexity_of_ga_sample(std::default_random_engine& randomizer, std::string filename, int n_initial, int n_final, int n_step=10, bool displaying=true);
void study_complexity_of_ga_global_sample(std::default_random_engine& randomizer, std::string filename, int n_initial, int n_final, int n_step=10, bool displaying=true);
void study_complexity_of_ga_treat(std::default_random_engine& randomizer, std::string filename, int n_initial, int n_final);

#endif // COMPLEXITY_GA_H_INCLUDED
